package com.hp.user.client.service;

import com.hp.user.client.entity.StationPage;
import com.hp.user.client.entity.StationVO;

/**
 * <p>
 * 站点信息 服务类
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */
public interface StationService {
    public boolean insert(StationVO station);
    public boolean delete(Long stationId);
    public boolean update(StationVO station);
    public StationVO queryStationByStationId(Long stationId);
    public StationVO queryStationByStationName(String name);
    public StationPage getStationsPage(Long current, Integer size);

}
